<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_4be538b2f65f8d8f8" . "dde8a914f610076" => base64_decode("Vm" . "ll" . "dw" . "=="), "right" . "s" => base64_decode("cmlnaH" . "Rz"), "_923b46b96d9db24" . "c4faa35027fc77b7" . "1" => base64_decode("Q29udHJvbCBj" . "YW4ndCBpbnB1" . "dCB0aGUgZGF0" . "YQ=="), "_6f65d5feee27b320b6f77" . "85c82762a72" => base64_decode("dXNlcnNfbGlzdC52aXNp" . "Ymxl"));





class FFControlUsersList extends FFControlAbstract
{
    var $perms;
    var $perms_dialog;
    
    
    
    
    
    
    
    public function __construct($key, $title)
    {
        parent::__construct($key, $title);
        $this->data[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["righ" . "ts"]] = array();
    }
    
    
    
    
    
    public function LoadFromForm()
    {
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_4be538b2f65f8d8" . "f8dde8a914f61007" . "6"], 1)));
        $this->perms->Load();
        if (!$this->perms_dialog or !$this->perms_dialog->Update()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_923b46b96d9db24c4fa" . "a35027fc77b71"]);
        }
        $this->data[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["righ" . "ts"]] = $this->perms->rights;
        
        
        
        return true;
    }
    public function Draw()
    {
        $_1a7eeedc1ca1289115e80107e7e6a911[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_6f65d5feee27b320b6f7" . "785c82762a72"]] = 1;
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4be538b2f" . "65f8d8f8dd" . "e8a914f610" . "076"], 1)));
        $this->perms->Load();
        $this->perms->rights = $this->data[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["rig" . "hts"]];
        $this->perms_dialog->Show();
        return $_1a7eeedc1ca1289115e80107e7e6a911;
    }
}